import { Base, Type, Point } from "igniteui-react-core";
import { IBucketizer } from "./IBucketizer";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { MarkerSeries } from "./MarkerSeries";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { RadialFrame } from "./RadialFrame";
import { CategoryMode } from "./CategoryMode";
import { List$1 } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { RadialAxes } from "./RadialAxes";
import { Pool$1 } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class RadialBucketCalculator extends Base implements IBucketizer {
    static $t: Type;
    protected a: RadialBaseView;
    constructor(a: RadialBaseView);
    c: number;
    d: number;
    b: number;
    getBucket(a: number): number[];
    getBucketWithoutUnknowns(a: number): number[];
    getErrorBucket(a: number, b: IFastItemColumn$1<number>): number;
    getBucketInfo(a: number, b: number, c: number, d: number): {
        p0: number;
        p1: number;
        p2: number;
        p3: number;
    };
    e(a: number): void;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare abstract class RadialBase extends MarkerSeries implements IHasCategoryModePreference {
    static $t: Type;
    i2(a: SeriesView): void;
    nh: RadialBaseView;
    constructor();
    private nv;
    readonly categoryAxis: CategoryAxisBase;
    ap(): CategoryAxisBase;
    np(a: List$1<SeriesPointOfInterest>): boolean;
    nl: SeriesRenderer$2<RadialFrame, RadialBaseView>;
    protected get_c2(): boolean;
    nd: CategoryAngleAxis;
    nf: NumericRadiusAxis;
    ag(): Axis[];
    no: boolean;
    protected j1(a: Rect, b: Rect): void;
    protected j0(a: Rect, b: Rect): void;
    abstract preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected i7(a: any, b: string, c: any, d: any): void;
    nn(a: any): boolean;
    nm(a: any): boolean;
    fp(a: Point): any;
    nq(a: Point): number;
    eb(a: Point): number;
    e8(a: Point): number;
    c9(a: any): boolean;
    nj: RadialFrame;
    nk: RadialFrame;
    ni: RadialFrame;
    abstract getOffsetValue(): number;
    abstract getCategoryWidth(): number;
    abstract nw(a: RadialFrame, b: RadialBaseView): void;
    abstract nx(a: RadialFrame, b: RadialBaseView): void;
    ng: RadialAxes;
    ik(): void;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    jm(a: boolean): void;
    nr(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialBaseView extends MarkerSeriesView {
    static $t: Type;
    co: RadialBucketCalculator;
    cn: RadialBase;
    constructor(a: RadialBase);
    cp: Pool$1<Marker>;
    cc(a: (arg1: Marker) => void): void;
    cq: number;
    cr: Point;
}
